Skip to main content
GET
/
scim
/
v2
/
Users
List SCIM users
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/scim/v2/Users \
  --header 'Authorization: Bearer <token>'
{
  "schemas": [
    "<string>"
  ],
  "totalResults": 123,
  "startIndex": 123,
  "itemsPerPage": 123,
  "Resources": [
    {
      "schemas": [
        "<string>"
      ],
      "id": "<string>",
      "userName": "<string>",
      "displayName": "<string>",
      "externalId": "<string>",
      "active": true,
      "emails": [
        {
          "value": "<string>",
          "primary": true
        }
      ],
      "meta": {
        "resourceType": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

SCIM provisioning token

Query Parameters

startIndex
integer
default:1
count
integer
default:100
Required range: x <= 200

Response

SCIM user list

schemas
string[]
totalResults
integer
startIndex
integer
itemsPerPage
integer
Resources
object[]